NAME

Dist::Zilla::PluginBundle::ApacheTest - Dist::Zilla Plugin Bundle That Configures Makefile.PL for Apache::Test

VERSION

version 0.04

SYNOPSIS

in dist.ini

 ; remove MakeMaker
 ;[MakeMaker]
 [@ApacheTest]
 min_version = 1.39

or, if you are using a bundle like @Classic:

 [@Filter]
 bundle = @Classic
 remove = MakeMaker

 [@ApacheTest]

This is equivalent to the following:

 [MakeMaker::ApacheTest]
 [DynamicPrereqs]
 -raw = (code to require mod_perl if installed, otherwise mod_perl2)

DESCRIPTION

This plugin makes use of MakeMaker::Awesome to produce a Makefile.PL with Apache::Test hooks enabled. If this plugin is loaded, you should also load the Manifest plugin should also be loaded, and the MakeMaker plugin.

CONFIGURATION OPTIONS

The following options are available in dist.ini for this plugin:

  • min_version

    The minimum version of Apache::Test that will be required in Makefile.PL. The default is 0. You are strongly encouraged to explicitly specify the version of Apache::Test that is required by your module instead of relying on the default.

SEE ALSO

SOURCE

The development version is on github at https://github.com/mschout/dist-zilla-plugin-apachetest and may be cloned from git://github.com/mschout/dist-zilla-plugin-apachetest.git

BUGS

Please report any bugs or feature requests to bug-dist-zilla-plugin-apachetest@rt.cpan.org or through the web interface at: http://rt.cpan.org/Public/Dist/Display.html?Name=Dist-Zilla-Plugin-ApacheTest

AUTHOR

Michael Schout <mschout@cpan.org>

COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Michael Schout.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.